package com.ruoyi.frequency.enterprise.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.common.page.PageResult;
import com.ruoyi.controller.req.StorePageReq;
import com.ruoyi.controller.req.UserEditReqVo;
import com.ruoyi.controller.resp.StorePageResp;
import com.ruoyi.frequency.enterprise.entity.Enterprise;
import com.ruoyi.frequency.enterprise.model.result.EnterpriseCount;
import com.ruoyi.response.ResponseData;
import com.ruoyi.vo.UserVo;

import java.util.List;

/**
 * 企业信息Service接口
 *
 * @author liwenlong
 * @date 2023-10-26
 */
public interface EnterpriseService extends IService<Enterprise>
{
    /**
     * 查询企业信息
     *
     * @param id 企业信息主键
     * @return 企业信息
     */
    public Enterprise selectEnterpriseById(Long id);

    /**
     * 查询企业信息列表
     *
     * @param enterprise 企业信息
     * @return 企业信息集合
     */
    public List<Enterprise> selectEnterpriseList(Enterprise enterprise);

    EnterpriseCount statistics(Enterprise enterprise);

    /**
     * 新增企业信息
     *
     * @param enterprise 企业信息
     * @return 结果
     */
    public int insertEnterprise(Enterprise enterprise);

    /**
     * 修改企业信息
     *
     * @param enterprise 企业信息
     * @return 结果
     */
    public int updateEnterprise(Enterprise enterprise);

    /**
     * 批量删除企业信息
     *
     * @param ids 需要删除的企业信息主键集合
     * @return 结果
     */
    public int deleteEnterpriseByIds(Long[] ids,Integer delFlag);

    /**
     * 删除企业信息信息
     *
     * @param id 企业信息主键
     * @return 结果
     */
    public int deleteEnterpriseById(Long id);

    ResponseData editInfo(UserEditReqVo req, UserVo userVo);

    ResponseData<PageResult<Page<StorePageResp>>> enterprisePage(StorePageReq req, UserVo userVo);
}
